Subject: Re: pull into dirty working tree

From: [email-masked] (Randal L. Schwartz)
Date: Wed, 13 Jun 2007 12:32:35 -0700

>>>>> "Alex" == Alex Riesen <[email-masked]> writes:

Alex> Wont work for new files (not yet known to git) which conflict with the
Alex> same names from origin. Your method will not put them anywhere and
Alex> their presence will break git-rebase. You _must_ do a merge.

So I missed git-add for those.  Then it'll work.  I guess I implied that the
git-commit initial step should capture all of the "interesting" state.

git-rebase *will* do the merge.  It must. :)

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!